## GDataAuthorizationDomain GDataAuthorizationDomain — GData authorization domain |

## Stability Level

Stable, unless otherwise indicated

## Functions

const gchar * | gdata_authorization_domain_get_service_name ()
const gchar * | gdata_authorization_domain_get_scope ()

## Properties

gchar * | scope | Read / Write / Construct Only
gchar * | service-name | Read / Write / Construct Only

## Types and Values

| GDataAuthorizationDomain
| GDataAuthorizationDomainClass

## Object Hierarchy

        GObject
        ╰── GDataAuthorizationDomain

## Includes

    #include <gdata/gdata-authorization-domain.h>

## Description

A GDataAuthorizationDomain represents a single data domain which a user can authorize libgdata to access. This might be a domain covering the whole of the user's Google Contacts account, for example. Typically, GDataServices map to GDataAuthorizationDomains in a one-to-one fashion, though some services (such as GDataDocumentsService) use multiple authorization domains.

The GDataAuthorizationDomainss used by a service can be retrieved using `gdata_service_get_authorization_domains()`. The set of domains used by a given service is static and will never change at runtime.

GDataAuthorizationDomains are used by a GDataAuthorizer instance to request authorization to interact with data in those domains when first authenticating and authorizing with the online service. Typically, a given GDataAuthorizer will be passed a set of domains (or a service type, from which it can retrieve the service's set of domains) at construction time, and will use those domains when initially asking the user for authorization and whenever the authorization is refreshed afterwards. It's not expected that the set of domains used by a GDataAuthorizer will change after construction time.

Note that it's not expected that GDataAuthorizationDomains will have to be constructed manually. All GDataServices should provide accessor functions to return instances of all the authorization domains they support.

## Functions

### gdata_authorization_domain_get_service_name ()

    const gchar *
    gdata_authorization_domain_get_service_name
                                   (GDataAuthorizationDomain *self);

Returns the name of the service containing the authorization domain. See “service-name” for more details.

#### Parameters

self | a GDataAuthorizationDomain |

#### Returns

name of the service containing the authorization domain

Since 0.9.0

### gdata_authorization_domain_get_scope ()

    const gchar *
    gdata_authorization_domain_get_scope (GDataAuthorizationDomain *self);

Returns a URI detailing the scope of the authorization domain. See “scope” for more details.

#### Parameters

self | a GDataAuthorizationDomain |

#### Returns

URI detailing the scope of the authorization domain

Since 0.9.0

## Types and Values

### GDataAuthorizationDomain

    typedef struct _GDataAuthorizationDomain GDataAuthorizationDomain;

All the fields in the GDataAuthorizationDomain structure are private and should never be accessed directly.

Since 0.9.0

### GDataAuthorizationDomainClass

    typedef struct {
    } GDataAuthorizationDomainClass;

All the fields in the GDataAuthorizationDomainClass structure are private and should never be accessed directly.

Since 0.9.0

## Property Details

### The `“scope”` property

      “scope”                    gchar *

A URI detailing the scope of the authorization domain, as enumerated in the

online documentation.

Flags: Read / Write / Construct Only

Default value: NULL

Since 0.9.0

### The `“service-name”` property

      “service-name”             gchar *

The name of the service which contains the authorization domain, as enumerated in the

online documentation.

Flags: Read / Write / Construct Only

Default value: NULL

Since 0.9.0